#footer {
    background-color: var(--color-ultralightgrey);
}

.footer-top-content-wrapper {
    max-width: var(--header-maxwidth);
    padding: calc(2 * var(--defaultunit));
    margin: 0 auto;

    display: grid;
    grid-template-columns: 2fr 2fr 1fr;
    gap: calc(3 * var(--defaultunit));
}

@media (max-width: 1200px) {
    .footer-top-content-wrapper {
        padding: calc(2 * var(--defaultunit)) calc(1 * var(--defaultunit));
    }
}

.footer-bottom-content {
    background-color: var(--color-yellow);
}

.footer-bottom-content-wrapper {
    max-width: var(--header-maxwidth);
    padding: var(--defaultunit) calc(2 * var(--defaultunit));
    margin: 0 auto;
}

@media (max-width: 1500px) {
    .footer-top-content-wrapper {
        gap: calc(2 * var(--defaultunit));
    }
}
@media (max-width: 1200px) {
    .footer-bottom-content-wrapper {
        padding: var(--defaultunit) calc(1 * var(--defaultunit));
    }    
}


/* ≤ 900px */
@media (max-width: 1300px) {
    .footer-top-content-wrapper {
        grid-template-columns: 1fr 1fr;
    }

    .footer-content-column1 {
        grid-column: 1 / -1;
        /* volle Breite */
    }
}


    

/* < 768px */
@media (max-width: 767px) {
    .footer-top-content-wrapper {
        grid-template-columns: 1fr;
        gap: 40px;
        /* optional sinnvoller auf Mobile */
    }

    .footer-content-column1,
    .footer-content-column2,
    .footer-content-column3 {
        grid-column: auto;
    }
}

#footer p {
    margin-bottom: 0;
}

#footer ul {
    margin: 0;
    padding: 0;
    color: inherit;
    list-style: none;
}

#footer ul li {
    margin-bottom: 20px;
}

#footer ul li a {
    color: inherit;
    text-decoration: none;
    position: relative;
    font-weight: bold;
}

#footer ul li a::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 0;
    height: 1px;
    background-color: var(--color-yellow);
    transition-duration: 0.2s;
}

#footer ul li a:hover::before {
    width: 100%;
    transition-duration: 0.2s;
}


#footer ul li a::after {
    content: url(../Icons/menu-arrow-right-black.svg);
    transition-duration: 0.3s;
    margin-left: 10px;
}

#footer ul li a:hover::after {
    transition-duration: 0.2s;
    margin-left: 15px;
}